Open CASCADE Technology: Bisector_FunctionInter Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Bisector_FunctionInter Class Reference

2 2 F(u) = (PC(u) - PBis1(u)) + (PC(u) - PBis2(u)) More...

`#include <Bisector_FunctionInter.hxx>`

Inheritance diagram for Bisector_FunctionInter:
[legend]

## Public Member Functions
| Bisector_FunctionInter ()
| Bisector_FunctionInter (const Handle< Geom2d_Curve > &C, const Handle< Bisector_Curve > &Bis1, const Handle< Bisector_Curve > &Bis2)
void | Perform (const Handle< Geom2d_Curve > &C, const Handle< Bisector_Curve > &Bis1, const Handle< Bisector_Curve > &Bis2)
Standard_Boolean | Value (const Standard_Real X, Standard_Real &F)
| Computes the values of the Functions for the variable <X>. More...
Standard_Boolean | Derivative (const Standard_Real X, Standard_Real &D)
| Computes the derivative <D> of the function for the variable <X>. Returns True if the calculation were successfully done, False otherwise. More...
Standard_Boolean | Values (const Standard_Real X, Standard_Real &F, Standard_Real &D)
| Returns the values of the functions and the derivatives for the variable <X>. More...
Public Member Functions inherited from math_FunctionWithDerivative
virtual void | Delete ()
virtual | ~math_FunctionWithDerivative ()
Public Member Functions inherited from math_Function
virtual Standard_Integer | GetStateNumber ()
| returns the state of the function corresponding to the latest call of any methods associated with the function. This function is called by each of the algorithms described later which defined the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...

## Detailed Description

2 2 F(u) = (PC(u) - PBis1(u)) + (PC(u) - PBis2(u))

## Constructor & Destructor Documentation

Bisector_FunctionInter::Bisector_FunctionInter | ( |  | ) |

Bisector_FunctionInter::Bisector_FunctionInter | ( | const Handle< Geom2d_Curve > & | C,
|  | const Handle< Bisector_Curve > & | Bis1,
|  | const Handle< Bisector_Curve > & | Bis2
| ) |  |

## Member Function Documentation

Standard_Boolean Bisector_FunctionInter::Derivative | ( | const Standard_Real | X,
|  | Standard_Real & | D
| ) |  |
| virtual

Computes the derivative <D> of the function for the variable <X>. Returns True if the calculation were successfully done, False otherwise.

Implements math_FunctionWithDerivative.

void Bisector_FunctionInter::Perform | ( | const Handle< Geom2d_Curve > & | C,
|  | const Handle< Bisector_Curve > & | Bis1,
|  | const Handle< Bisector_Curve > & | Bis2
| ) |  |

Standard_Boolean Bisector_FunctionInter::Value | ( | const Standard_Real | X,
|  | Standard_Real & | F
| ) |  |
| virtual

Computes the values of the Functions for the variable <X>.

Implements math_FunctionWithDerivative.

Standard_Boolean Bisector_FunctionInter::Values | ( | const Standard_Real | X,
|  | Standard_Real & | F,
|  | Standard_Real & | D
| ) |  |
| virtual

Returns the values of the functions and the derivatives for the variable <X>.

Implements math_FunctionWithDerivative.

The documentation for this class was generated from the following file:

- Bisector_FunctionInter.hxx